
_SPI_Write_Byte:

;TRH_Meter.c,24 :: 		void SPI_Write_Byte(unsigned short num){
;TRH_Meter.c,26 :: 		CLK_Pin = 0;
	BCF        GP2_bit+0, 2
;TRH_Meter.c,27 :: 		Mask = 128;
	MOVLW      128
	MOVWF      R3+0
;TRH_Meter.c,28 :: 		for (t=0; t<8; t++){
	CLRF       R2+0
L_SPI_Write_Byte0:
	MOVLW      8
	SUBWF      R2+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_SPI_Write_Byte1
;TRH_Meter.c,29 :: 		Flag = num & Mask;
	MOVF       R3+0, 0
	ANDWF      FARG_SPI_Write_Byte_num+0, 0
	MOVWF      R1+0
;TRH_Meter.c,30 :: 		if(Flag == 0) MOSI_Pin = 0;
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_SPI_Write_Byte3
	BCF        GP1_bit+0, 1
	GOTO       L_SPI_Write_Byte4
L_SPI_Write_Byte3:
;TRH_Meter.c,31 :: 		else MOSI_Pin = 1;
	BSF        GP1_bit+0, 1
L_SPI_Write_Byte4:
;TRH_Meter.c,32 :: 		CLK_Pin = 1;
	BSF        GP2_bit+0, 2
;TRH_Meter.c,33 :: 		CLK_Pin = 0;
	BCF        GP2_bit+0, 2
;TRH_Meter.c,34 :: 		Mask = Mask >> 1;
	RRF        R3+0, 1
	BCF        R3+0, 7
;TRH_Meter.c,28 :: 		for (t=0; t<8; t++){
	INCF       R2+0, 1
;TRH_Meter.c,35 :: 		}
	GOTO       L_SPI_Write_Byte0
L_SPI_Write_Byte1:
;TRH_Meter.c,36 :: 		}
L_end_SPI_Write_Byte:
	RETURN
; end of _SPI_Write_Byte

_MAX7219_INIT:

;TRH_Meter.c,38 :: 		void MAX7219_INIT() {
;TRH_Meter.c,40 :: 		CS_Pin = 0;              // CS pin is pulled LOW
	BCF        GP0_bit+0, 0
;TRH_Meter.c,41 :: 		SPI_Write_Byte(0x0C);    // Select Shutdown register
	MOVLW      12
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,42 :: 		SPI_Write_Byte(0x01);    // Set D0 bit to return to normal operation
	MOVLW      1
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,43 :: 		CS_Pin = 1;              // CS pin is pulled HIGH
	BSF        GP0_bit+0, 0
;TRH_Meter.c,46 :: 		CS_Pin = 0;              // CS pin is pulled LOW
	BCF        GP0_bit+0, 0
;TRH_Meter.c,47 :: 		SPI_Write_Byte(0x09);    // Select Decode Mode register
	MOVLW      9
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,48 :: 		SPI_Write_Byte(0b11101110);    // Disable BCD mode for digits DIG0-DIG4
	MOVLW      238
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,49 :: 		CS_Pin = 1;              // CS pin is pulled HIGH
	BSF        GP0_bit+0, 0
;TRH_Meter.c,52 :: 		CS_Pin = 0;              // CS pin is pulled LOW
	BCF        GP0_bit+0, 0
;TRH_Meter.c,53 :: 		SPI_Write_Byte(0x0A);    // Select Intensity register
	MOVLW      10
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,54 :: 		SPI_Write_Byte(brightness);    // Set brightness
	MOVF       _brightness+0, 0
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,55 :: 		CS_Pin = 1;              // CS pin is pulled HIGH
	BSF        GP0_bit+0, 0
;TRH_Meter.c,58 :: 		CS_Pin = 0;              // CS pin is pulled LOW
	BCF        GP0_bit+0, 0
;TRH_Meter.c,59 :: 		SPI_Write_Byte(0x0B);    // Select Scan-Limit register
	MOVLW      11
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,60 :: 		SPI_Write_Byte(0x07);    // Select digits DIG0-DIG3
	MOVLW      7
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,61 :: 		CS_Pin = 1;              // CS pin is pulled HIGH
	BSF        GP0_bit+0, 0
;TRH_Meter.c,64 :: 		CS_Pin = 0;              // CS pin is pulled LOW
	BCF        GP0_bit+0, 0
;TRH_Meter.c,65 :: 		SPI_Write_Byte(0x0F);    // Select Display-Test register
	MOVLW      15
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,66 :: 		SPI_Write_Byte(0x01);    // Enable Display-Test
	MOVLW      1
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,67 :: 		CS_Pin = 1;              // CS pin is pulled HIGH
	BSF        GP0_bit+0, 0
;TRH_Meter.c,69 :: 		Delay_ms(1000);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_MAX7219_INIT5:
	DECFSZ     R13+0, 1
	GOTO       L_MAX7219_INIT5
	DECFSZ     R12+0, 1
	GOTO       L_MAX7219_INIT5
	DECFSZ     R11+0, 1
	GOTO       L_MAX7219_INIT5
	NOP
	NOP
;TRH_Meter.c,71 :: 		CS_Pin = 0;              // CS pin is pulled LOW
	BCF        GP0_bit+0, 0
;TRH_Meter.c,72 :: 		SPI_Write_Byte(0x0F);    // Select Display-Test register
	MOVLW      15
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,73 :: 		SPI_Write_Byte(0x00);    // Disable Display-Test
	CLRF       FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,74 :: 		CS_Pin = 1;              // CS pin is pulled HIGH
	BSF        GP0_bit+0, 0
;TRH_Meter.c,76 :: 		}
L_end_MAX7219_INIT:
	RETURN
; end of _MAX7219_INIT

_Display_Value:

;TRH_Meter.c,78 :: 		void Display_Value(unsigned int j, unsigned short k){
;TRH_Meter.c,79 :: 		CS_Pin = 0;                    // CS pin is pulled LOW
	BCF        GP0_bit+0, 0
;TRH_Meter.c,80 :: 		SPI_Write_Byte(k);             // Send thousands digit
	MOVF       FARG_Display_Value_k+0, 0
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,81 :: 		SPI_Write_Byte((j/100)%10);
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_Display_Value_j+0, 0
	MOVWF      R0+0
	MOVF       FARG_Display_Value_j+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,82 :: 		CS_Pin = 1;                    // CS pin is pulled HIGH
	BSF        GP0_bit+0, 0
;TRH_Meter.c,84 :: 		CS_Pin = 0;                    // CS pin is pulled LOW
	BCF        GP0_bit+0, 0
;TRH_Meter.c,85 :: 		SPI_Write_Byte(k-1);             // Send hundreds digit
	DECF       FARG_Display_Value_k+0, 0
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,86 :: 		SPI_Write_Byte(((j/10)%10) | 0x80);
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_Display_Value_j+0, 0
	MOVWF      R0+0
	MOVF       FARG_Display_Value_j+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVLW      128
	IORWF      R0+0, 0
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,87 :: 		CS_Pin = 1;                    // CS pin is pulled HIGH
	BSF        GP0_bit+0, 0
;TRH_Meter.c,89 :: 		CS_Pin = 0;                    // CS pin is pulled LOW
	BCF        GP0_bit+0, 0
;TRH_Meter.c,90 :: 		SPI_Write_Byte(k-2);             // Send tens digit
	MOVLW      2
	SUBWF      FARG_Display_Value_k+0, 0
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,91 :: 		SPI_Write_Byte(j%10);
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_Display_Value_j+0, 0
	MOVWF      R0+0
	MOVF       FARG_Display_Value_j+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,92 :: 		CS_Pin = 1;                    // CS pin is pulled HIGH
	BSF        GP0_bit+0, 0
;TRH_Meter.c,94 :: 		CS_Pin = 0;                     // CS pin is pulled LOW
	BCF        GP0_bit+0, 0
;TRH_Meter.c,95 :: 		SPI_Write_Byte(k-3);            // Send ones digit
	MOVLW      3
	SUBWF      FARG_Display_Value_k+0, 0
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,96 :: 		if(k == 4) SPI_Write_Byte(0x47);  // Display 'F'
	MOVF       FARG_Display_Value_k+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L_Display_Value6
	MOVLW      71
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
L_Display_Value6:
;TRH_Meter.c,97 :: 		if(k == 8) SPI_Write_Byte(0x67);  // Display P
	MOVF       FARG_Display_Value_k+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L_Display_Value7
	MOVLW      103
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
L_Display_Value7:
;TRH_Meter.c,98 :: 		CS_Pin = 1;                    // CS pin is pulled HIGH
	BSF        GP0_bit+0, 0
;TRH_Meter.c,99 :: 		}
L_end_Display_Value:
	RETURN
; end of _Display_Value

_StartSignal:

;TRH_Meter.c,101 :: 		void StartSignal(){
;TRH_Meter.c,102 :: 		DataDir = 0;     // Data port is output
	BCF        TRISIO5_bit+0, 5
;TRH_Meter.c,103 :: 		Data    = 0;
	BCF        GP5_bit+0, 5
;TRH_Meter.c,104 :: 		Delay_ms(25);
	MOVLW      33
	MOVWF      R12+0
	MOVLW      118
	MOVWF      R13+0
L_StartSignal8:
	DECFSZ     R13+0, 1
	GOTO       L_StartSignal8
	DECFSZ     R12+0, 1
	GOTO       L_StartSignal8
	NOP
;TRH_Meter.c,105 :: 		Data    = 1;
	BSF        GP5_bit+0, 5
;TRH_Meter.c,106 :: 		Delay_us(30);
	MOVLW      9
	MOVWF      R13+0
L_StartSignal9:
	DECFSZ     R13+0, 1
	GOTO       L_StartSignal9
	NOP
	NOP
;TRH_Meter.c,107 :: 		DataDir = 1;     // Data port is input
	BSF        TRISIO5_bit+0, 5
;TRH_Meter.c,109 :: 		}
L_end_StartSignal:
	RETURN
; end of _StartSignal

_CheckResponse:

;TRH_Meter.c,111 :: 		unsigned short CheckResponse(){
;TRH_Meter.c,112 :: 		TOUT = 0;
	CLRF       _TOUT+0
;TRH_Meter.c,113 :: 		TMR2 = 0;
	CLRF       TMR2+0
;TRH_Meter.c,114 :: 		T2CON.TMR2ON = 1;      // start timer
	BSF        T2CON+0, 2
;TRH_Meter.c,115 :: 		while(!Data && !TOUT);
L_CheckResponse10:
	BTFSC      GP5_bit+0, 5
	GOTO       L_CheckResponse11
	MOVF       _TOUT+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_CheckResponse11
L__CheckResponse40:
	GOTO       L_CheckResponse10
L_CheckResponse11:
;TRH_Meter.c,116 :: 		if (TOUT) return 0;
	MOVF       _TOUT+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_CheckResponse14
	CLRF       R0+0
	GOTO       L_end_CheckResponse
L_CheckResponse14:
;TRH_Meter.c,118 :: 		TMR2 = 0;
	CLRF       TMR2+0
;TRH_Meter.c,119 :: 		while(Data && !TOUT);
L_CheckResponse16:
	BTFSS      GP5_bit+0, 5
	GOTO       L_CheckResponse17
	MOVF       _TOUT+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_CheckResponse17
L__CheckResponse39:
	GOTO       L_CheckResponse16
L_CheckResponse17:
;TRH_Meter.c,120 :: 		if (TOUT) return 0;
	MOVF       _TOUT+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_CheckResponse20
	CLRF       R0+0
	GOTO       L_end_CheckResponse
L_CheckResponse20:
;TRH_Meter.c,122 :: 		T2CON.TMR2ON = 0;
	BCF        T2CON+0, 2
;TRH_Meter.c,123 :: 		return 1;
	MOVLW      1
	MOVWF      R0+0
;TRH_Meter.c,126 :: 		}
L_end_CheckResponse:
	RETURN
; end of _CheckResponse

_ReadByte:

;TRH_Meter.c,128 :: 		unsigned short ReadByte(){
;TRH_Meter.c,129 :: 		unsigned short num = 0, t;
	CLRF       ReadByte_num_L0+0
;TRH_Meter.c,130 :: 		DataDir = 1;
	BSF        TRISIO5_bit+0, 5
;TRH_Meter.c,131 :: 		for (i=0; i<8; i++){
	CLRF       _i+0
L_ReadByte22:
	MOVLW      8
	SUBWF      _i+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ReadByte23
;TRH_Meter.c,132 :: 		while(!Data);
L_ReadByte25:
	BTFSC      GP5_bit+0, 5
	GOTO       L_ReadByte26
	GOTO       L_ReadByte25
L_ReadByte26:
;TRH_Meter.c,133 :: 		TMR2 = 0;
	CLRF       TMR2+0
;TRH_Meter.c,134 :: 		T2CON.TMR2ON = 1;
	BSF        T2CON+0, 2
;TRH_Meter.c,135 :: 		while(Data);
L_ReadByte27:
	BTFSS      GP5_bit+0, 5
	GOTO       L_ReadByte28
	GOTO       L_ReadByte27
L_ReadByte28:
;TRH_Meter.c,136 :: 		T2CON.TMR2ON = 0;
	BCF        T2CON+0, 2
;TRH_Meter.c,137 :: 		if(TMR2 > 40) num |= 1<<(7-i);  // If time > 40us, Data is 1
	MOVF       TMR2+0, 0
	SUBLW      40
	BTFSC      STATUS+0, 0
	GOTO       L_ReadByte29
	MOVF       _i+0, 0
	SUBLW      7
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__ReadByte47:
	BTFSC      STATUS+0, 2
	GOTO       L__ReadByte48
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__ReadByte47
L__ReadByte48:
	MOVF       R0+0, 0
	IORWF      ReadByte_num_L0+0, 1
L_ReadByte29:
;TRH_Meter.c,131 :: 		for (i=0; i<8; i++){
	INCF       _i+0, 1
;TRH_Meter.c,138 :: 		}
	GOTO       L_ReadByte22
L_ReadByte23:
;TRH_Meter.c,139 :: 		return num;
	MOVF       ReadByte_num_L0+0, 0
	MOVWF      R0+0
;TRH_Meter.c,140 :: 		}
L_end_ReadByte:
	RETURN
; end of _ReadByte

_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;TRH_Meter.c,142 :: 		void interrupt(){
;TRH_Meter.c,143 :: 		if(PIR1.TMR2IF){
	BTFSS      PIR1+0, 1
	GOTO       L_interrupt30
;TRH_Meter.c,144 :: 		TOUT = 1;
	MOVLW      1
	MOVWF      _TOUT+0
;TRH_Meter.c,145 :: 		T2CON.TMR2ON = 0; // stop timer
	BCF        T2CON+0, 2
;TRH_Meter.c,146 :: 		PIR1.TMR2IF  = 0; // Clear TMR0 interrupt flag
	BCF        PIR1+0, 1
;TRH_Meter.c,147 :: 		}
L_interrupt30:
;TRH_Meter.c,148 :: 		}
L_end_interrupt:
L__interrupt50:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_Display_Brightness:

;TRH_Meter.c,150 :: 		void Display_Brightness(){
;TRH_Meter.c,151 :: 		CS_Pin = 0;                // CS pin is pulled LOW
	BCF        GP0_bit+0, 0
;TRH_Meter.c,152 :: 		SPI_Write_Byte(0x0A);      // Select Intensity register
	MOVLW      10
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,153 :: 		SPI_Write_Byte(brightness);    // Update brightness
	MOVF       _brightness+0, 0
	MOVWF      FARG_SPI_Write_Byte_num+0
	CALL       _SPI_Write_Byte+0
;TRH_Meter.c,154 :: 		CS_Pin = 1;                // CS pin is pulled HIGH
	BSF        GP0_bit+0, 0
;TRH_Meter.c,155 :: 		}
L_end_Display_Brightness:
	RETURN
; end of _Display_Brightness

_main:

;TRH_Meter.c,157 :: 		void main() {
;TRH_Meter.c,158 :: 		TRISIO=0b00011000;       // GP3, GP4 are input
	MOVLW      24
	MOVWF      TRISIO+0
;TRH_Meter.c,159 :: 		CMCON0 = 0x07;
	MOVLW      7
	MOVWF      CMCON0+0
;TRH_Meter.c,160 :: 		ANSEL = 0x08;            // AN3 active
	MOVLW      8
	MOVWF      ANSEL+0
;TRH_Meter.c,161 :: 		INTCON.GIE = 1;    //Enable global interrupt
	BSF        INTCON+0, 7
;TRH_Meter.c,162 :: 		INTCON.PEIE = 1;   //Enable peripheral interrupt
	BSF        INTCON+0, 6
;TRH_Meter.c,164 :: 		PIE1.TMR2IE = 1;  // Enable Timer2 interrupt
	BSF        PIE1+0, 1
;TRH_Meter.c,165 :: 		T2CON = 0;        // Prescaler 1:1, and Timer2 is off initially
	CLRF       T2CON+0
;TRH_Meter.c,166 :: 		PIR1.TMR2IF =0;   // Clear TMR INT Flag bit
	BCF        PIR1+0, 1
;TRH_Meter.c,167 :: 		TMR2 = 0;
	CLRF       TMR2+0
;TRH_Meter.c,168 :: 		MAX7219_INIT();           // initialize  max7219
	CALL       _MAX7219_INIT+0
;TRH_Meter.c,169 :: 		do{
L_main31:
;TRH_Meter.c,170 :: 		ADC_OP = ADC_Read(3);
	MOVLW      3
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      _ADC_OP+0
	MOVF       R0+1, 0
	MOVWF      _ADC_OP+1
;TRH_Meter.c,171 :: 		ADC_OP = ADC_OP/100;
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVF       R0+0, 0
	MOVWF      _ADC_OP+0
	MOVF       R0+1, 0
	MOVWF      _ADC_OP+1
;TRH_Meter.c,172 :: 		Brightness = Brightness_Table[ADC_OP];
	MOVF       R0+0, 0
	ADDLW      _Brightness_Table+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      _brightness+0
;TRH_Meter.c,173 :: 		Display_Brightness();
	CALL       _Display_Brightness+0
;TRH_Meter.c,174 :: 		StartSignal();
	CALL       _StartSignal+0
;TRH_Meter.c,175 :: 		check = CheckResponse();
	CALL       _CheckResponse+0
	MOVF       R0+0, 0
	MOVWF      _check+0
;TRH_Meter.c,176 :: 		if (!check) {
	MOVF       R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_main34
;TRH_Meter.c,177 :: 		TempF = 0;
	CLRF       _TempF+0
	CLRF       _TempF+1
;TRH_Meter.c,178 :: 		RH = 0;
	CLRF       _RH+0
	CLRF       _RH+1
;TRH_Meter.c,179 :: 		}
	GOTO       L_main35
L_main34:
;TRH_Meter.c,182 :: 		RH_Byte1 = ReadByte();
	CALL       _ReadByte+0
	MOVF       R0+0, 0
	MOVWF      _RH_Byte1+0
;TRH_Meter.c,183 :: 		RH_Byte2 = ReadByte();
	CALL       _ReadByte+0
	MOVF       R0+0, 0
	MOVWF      _RH_Byte2+0
;TRH_Meter.c,184 :: 		T_Byte1 = ReadByte();
	CALL       _ReadByte+0
	MOVF       R0+0, 0
	MOVWF      _T_Byte1+0
;TRH_Meter.c,185 :: 		T_Byte2 = ReadByte();
	CALL       _ReadByte+0
	MOVF       R0+0, 0
	MOVWF      _T_Byte2+0
;TRH_Meter.c,186 :: 		CheckSum = ReadByte();
	CALL       _ReadByte+0
	MOVF       R0+0, 0
	MOVWF      _CheckSum+0
;TRH_Meter.c,188 :: 		if (CheckSum == ((RH_Byte1 + RH_Byte2 + T_Byte1 + T_Byte2) & 0xFF))
	MOVF       _RH_Byte2+0, 0
	ADDWF      _RH_Byte1+0, 0
	MOVWF      R1+0
	CLRF       R1+1
	BTFSC      STATUS+0, 0
	INCF       R1+1, 1
	MOVF       _T_Byte1+0, 0
	ADDWF      R1+0, 1
	BTFSC      STATUS+0, 0
	INCF       R1+1, 1
	MOVF       _T_Byte2+0, 0
	ADDWF      R1+0, 1
	BTFSC      STATUS+0, 0
	INCF       R1+1, 1
	MOVLW      255
	ANDWF      R1+0, 0
	MOVWF      R3+0
	MOVF       R1+1, 0
	MOVWF      R3+1
	MOVLW      0
	ANDWF      R3+1, 1
	MOVLW      0
	XORWF      R3+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main53
	MOVF       R3+0, 0
	XORWF      R0+0, 0
L__main53:
	BTFSS      STATUS+0, 2
	GOTO       L_main36
;TRH_Meter.c,190 :: 		TempF = 10*T_Byte1;
	MOVLW      10
	MOVWF      R0+0
	MOVF       _T_Byte1+0, 0
	MOVWF      R4+0
	CALL       _Mul_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      _TempF+0
	MOVF       R0+1, 0
	MOVWF      _TempF+1
;TRH_Meter.c,191 :: 		TempF = 9*TempF/5 + 320;
	MOVLW      9
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      5
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVLW      64
	ADDWF      R0+0, 0
	MOVWF      _TempF+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDLW      1
	MOVWF      _TempF+1
;TRH_Meter.c,192 :: 		RH = 10*RH_Byte1;
	MOVLW      10
	MOVWF      R0+0
	MOVF       _RH_Byte1+0, 0
	MOVWF      R4+0
	CALL       _Mul_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      _RH+0
	MOVF       R0+1, 0
	MOVWF      _RH+1
;TRH_Meter.c,193 :: 		}
	GOTO       L_main37
L_main36:
;TRH_Meter.c,196 :: 		TempF = 0;
	CLRF       _TempF+0
	CLRF       _TempF+1
;TRH_Meter.c,197 :: 		RH = 0;
	CLRF       _RH+0
	CLRF       _RH+1
;TRH_Meter.c,198 :: 		}
L_main37:
;TRH_Meter.c,199 :: 		}
L_main35:
;TRH_Meter.c,201 :: 		Display_Value(TempF, 4);
	MOVF       _TempF+0, 0
	MOVWF      FARG_Display_Value_j+0
	MOVF       _TempF+1, 0
	MOVWF      FARG_Display_Value_j+1
	MOVLW      4
	MOVWF      FARG_Display_Value_k+0
	CALL       _Display_Value+0
;TRH_Meter.c,202 :: 		Display_Value(RH, 8);
	MOVF       _RH+0, 0
	MOVWF      FARG_Display_Value_j+0
	MOVF       _RH+1, 0
	MOVWF      FARG_Display_Value_j+1
	MOVLW      8
	MOVWF      FARG_Display_Value_k+0
	CALL       _Display_Value+0
;TRH_Meter.c,203 :: 		Delay_ms(500);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_main38:
	DECFSZ     R13+0, 1
	GOTO       L_main38
	DECFSZ     R12+0, 1
	GOTO       L_main38
	DECFSZ     R11+0, 1
	GOTO       L_main38
	NOP
	NOP
;TRH_Meter.c,207 :: 		}while(1);
	GOTO       L_main31
;TRH_Meter.c,208 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
